/*
Code Support     : Board ET-USBPIC/4550
Compiler         : PIC C Compiler Version 3.249
Micro Controller : PIC18F4550
OSC              : 48MHz
*/

#include <18F4550.h>


#define TX1   PIN_C6
#define RX1   PIN_C7

#fuses HSPLL,USBDIV,PLL5,CPUDIV1,VREGEN,NOWDT,NOPROTECT,NOLVP,NODEBUG
#use delay(clock=48000000)

#use rs232(baud = 9600, xmit = TX1, rcv = RX1)

#use fast_io(A)
#use fast_io(B)
#use fast_io(C)
#use fast_io(D)
#use fast_io(E)

void main() {

  int i,Dat;

      set_tris_a(0B00000000);
      set_tris_b(0B00000000);
      set_tris_c(0B10000000);
      set_tris_d(0B00000000);
      set_tris_e(0B00000000);


      setup_comparator(NC_NC_NC_NC);
      SETUP_ADC_PORTS(NO_ANALOGS);


   While (1)
   {
     Dat = 0B00000001;
     for (i=0;i<8;i++)
     {
         output_a(Dat);
         output_b(Dat);
         output_c(Dat);
         output_d(Dat);
         output_e(Dat);

         delay_ms(500);
         Dat = Dat<<1;
     }

   }
}
